#!/usr/bin/make -f

export QT_SELECT := qt6

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#DH_VERBOSE = 1

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

PDQMLWIDGETS_VERSION=`dpkg-parsechangelog --show-field Version | cut -d - -f 1`

# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- -DVERSION_HASH=${PDQMLWIDGETS_VERSION} \
    -DBUILD_EXAMPLE=1 -DQT_NO_STANDARD_PROJECT_SETUP=1 -DCMAKE_AUTOMOC=1 -DQT_DISABLE_RPATH:BOOL=ON

override_dh_missing:
	dh_missing --fail-missing

override_dh_auto_install:
	dh_auto_install
	mv $(CURDIR)/debian/tmp/usr/bin/Qml6Test $(CURDIR)/debian/tmp/usr/bin/pdserv-example-qmlviewer-qt6
	rm -v $(CURDIR)/debian/tmp/usr/lib/*/libQt6QmlPdWidgets*plugin.so
    

override_dh_shlibdeps:
	dh_shlibdeps -l $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/
